version: "3.7"
services:

  redis:
    image: redis:5.0.7-alpine
    restart: always
    networks:
      - agent_a

  postgres:
    image: postgres
    restart: always
    ports:
      - "5432:5432"
    networks:
      - agent_a
    environment:
      POSTGRES_PASSWORD: secretpassword
    volumes:
      - ~/ipfs/postgres/data:/var/lib/postgresql/data

  couchdb:
    image: couchdb
    ports:
      - "5984:5984"
    volumes:
      - ~/ipfs/couchdb/etc:/opt/couchdb/etc/local.d
      - ~/ipfs/couchdb/data:/opt/couchdb/data
    environment:
      - COUCHDB_USER=admin
      - COUCHDB_PASSWORD=password
    networks:
      - agent_a

  datacustodian:
    image: clearfoundation/datacustodian:1.4.0
    ports:
      - "8889:8889"
      - "8020-8022:8020-8022"
    networks:
      - agent_a
    environment:
      COUCHDB_USERNAME: admin
      COUCHDB_PASSWORD: password
      WALLET_SEED: seed-new-public
      UGS_HOME: /home/indy/ugs-dist
    depends_on:
      - postgres
      - couchdb
    volumes:
      - ../../docs:/home/indy/ugs-dist/docs
      - ../../tests:/home/indy/tests
      - ../../datacustodian:/home/indy/datacustodian
      - ../../../aries-cloudagent-python:/home/indy/aries-cloudagent-python
      - ~/ipfs/aca:/home/indy/aca
      - ~/ugs-dist:/home/indy/ugs-dist
    entrypoint:
      - ./wait-for-deps.sh
      #- datacustodian_app.py docs/configs/records-agent-A.yml --generate --overwrite
      - tail -F /dev/null

networks:
  agent_a:
